cURL
curl --request PUT \ --url https://service-sandbox.tazapay.com/refund/{id} \ --header 'Authorization: Basic <encoded-value>' \ --header 'Content-Type: application/json' \ --data ' { "reason": "Damaged Goods", "metadata": { "key1": "value1", "key2": "value2" } } '
{ "status": "success", "message": "refund updated successfully", "data": { "id": "rfd_afiuabfia23wifaiofnioa12nfianf", "object": "refund", "payin": "chk_cirsp2sl4ar024j0akj0", "amount": 90000, "currency": "USD", "customer_receives": { "currency": "", "amount": null }, "payment_attempt": "pat_ahbfiuahfiuaiofnioain", "reason": "Damaged Goods", "metadata": { "key1": "value1", "key2": "value2" }, "status": "pending", "status_description": "", "webhook_url": "https://mystore.webhook.tazapay.refund/", "created_at": "2023-07-23 23:59:56" } }
This endpoint updates an already existing refund object.
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Basic <encoded-value>
<encoded-value>
username:password
ID of the existing refund object to be updated
Reason for the refund
Set of key-value pairs to attach to the refund object
200
Indicates whether the refund creation request was successful.
Describes the outcome of the refund operation.
Contains detailed information about a refund.
Show child attributes
Was this page helpful?